Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 636224 - www-client/netsurf-3.7 version bump
Summary: www-client/netsurf-3.7 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Michael Weber (RETIRED)
URL: http://www.netsurf-browser.org/about/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-01 22:24 UTC by ernsteiswuerfel
Modified: 2018-10-22 14:16 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ernsteiswuerfel 2017-11-01 22:24:10 UTC
NetSurf 3.7 has been released 20 Oct 2017. A version bump would be nice.
Comment 1 Jonas Stein gentoo-dev 2017-11-02 16:48:16 UTC
Thank you for the bump request. 
You can help the maintainer with further information:
Does a simple bump [1] work on your system? 

[1] https://wiki.gentoo.org/wiki/Custom_repository#Simple_version_bump_of_an_ebuild_in_the_local_overlay
Comment 2 Larry the Git Cow gentoo-dev 2017-12-18 14:34:19 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2f2c056f0abb7a03325c58ab1b6fa7dc5202f1e8

commit 2f2c056f0abb7a03325c58ab1b6fa7dc5202f1e8
Author:     Michael Weber <xmw@gentoo.org>
AuthorDate: 2017-12-18 14:33:06 +0000
Commit:     Michael Weber <xmw@gentoo.org>
CommitDate: 2017-12-18 14:34:06 +0000

    dev-libs/libcss: Ignore some gcc diagnostics (upstream is aware of), version bump.
    
    Closes: https://bugs.gentoo.org/626754
    Closes: https://bugs.gentoo.org/626752
    Bug: https://bugs.gentoo.org/636224
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-libs/libcss/Manifest            |  2 ++
 dev-libs/libcss/libcss-0.6.1.ebuild |  9 +++++++++
 dev-libs/libcss/libcss-0.7.0.ebuild | 30 ++++++++++++++++++++++++++++++
 3 files changed, 41 insertions(+)}
Comment 3 Larry the Git Cow gentoo-dev 2017-12-18 14:42:08 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1fde7ffe041a55839c29cefbf11d9a8f7a9ccc22

commit 1fde7ffe041a55839c29cefbf11d9a8f7a9ccc22
Author:     Michael Weber <xmw@gentoo.org>
AuthorDate: 2017-12-18 14:41:49 +0000
Commit:     Michael Weber <xmw@gentoo.org>
CommitDate: 2017-12-18 14:41:49 +0000

    net-libs/libhubbub: Version bump, turn off fallthrough warning.
    
    Bug: https://bugs.gentoo.org/636224
    Closes: https://bugs.gentoo.org/640094
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 net-libs/libhubbub/Manifest               |  2 ++
 net-libs/libhubbub/libhubbub-0.3.3.ebuild |  7 ++++++-
 net-libs/libhubbub/libhubbub-0.3.4.ebuild | 31 +++++++++++++++++++++++++++++++
 3 files changed, 39 insertions(+), 1 deletion(-)}
Comment 4 Larry the Git Cow gentoo-dev 2017-12-18 15:00:39 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=373c6f9f8f5c1db233d13107b6cc16e2e41236eb

commit 373c6f9f8f5c1db233d13107b6cc16e2e41236eb
Author:     Michael Weber <xmw@gentoo.org>
AuthorDate: 2017-12-18 15:00:09 +0000
Commit:     Michael Weber <xmw@gentoo.org>
CommitDate: 2017-12-18 15:00:32 +0000

    net-libs/libdom: Version bump.
    
    Bug: https://bugs.gentoo.org/636224
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 net-libs/libdom/Manifest            |  1 +
 net-libs/libdom/libdom-0.3.2.ebuild | 39 +++++++++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f4f55d7d388dda09840acd59437d79015c47cb0d

commit f4f55d7d388dda09840acd59437d79015c47cb0d
Author:     Michael Weber <xmw@gentoo.org>
AuthorDate: 2017-12-18 14:48:29 +0000
Commit:     Michael Weber <xmw@gentoo.org>
CommitDate: 2017-12-18 15:00:30 +0000

    dev-libs/libutf8proc: Version bump.
    
    Bug: https://bugs.gentoo.org/636224
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-libs/libutf8proc/Manifest                    |  2 ++
 dev-libs/libutf8proc/libutf8proc-1.3.1_p3.ebuild | 24 ++++++++++++++++++++++++
 2 files changed, 26 insertions(+)}
Comment 5 Larry the Git Cow gentoo-dev 2017-12-18 15:05:05 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=63af35345cb6fac37af85186b65a1c44f8317b7a

commit 63af35345cb6fac37af85186b65a1c44f8317b7a
Author:     Michael Weber <xmw@gentoo.org>
AuthorDate: 2017-12-18 15:04:50 +0000
Commit:     Michael Weber <xmw@gentoo.org>
CommitDate: 2017-12-18 15:04:50 +0000

    media-libs/libnsgif: Version bump, turn off fallthrough warnings.
    
    Bug: https://bugs.gentoo.org/636224
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 media-libs/libnsgif/Manifest              |  2 ++
 media-libs/libnsgif/libnsgif-0.2.0.ebuild | 25 +++++++++++++++++++++++++
 2 files changed, 27 insertions(+)}
Comment 6 Larry the Git Cow gentoo-dev 2017-12-18 15:08:41 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a8dbc2b7db90113d9fca318cf8313a4c24c9f7e

commit 1a8dbc2b7db90113d9fca318cf8313a4c24c9f7e
Author:     Michael Weber <xmw@gentoo.org>
AuthorDate: 2017-12-18 15:08:27 +0000
Commit:     Michael Weber <xmw@gentoo.org>
CommitDate: 2017-12-18 15:08:27 +0000

    dev-libs/libnsfb: Version bump.
    
    Bug: https://bugs.gentoo.org/636224
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-libs/libnsfb/Manifest             |  2 ++
 dev-libs/libnsfb/libnsfb-0.1.6.ebuild | 39 +++++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)}
Comment 7 Larry the Git Cow gentoo-dev 2017-12-18 15:11:23 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd41308d20c0bb690c352becfd42edd23e3849fa

commit cd41308d20c0bb690c352becfd42edd23e3849fa
Author:     Michael Weber <xmw@gentoo.org>
AuthorDate: 2017-12-18 15:11:10 +0000
Commit:     Michael Weber <xmw@gentoo.org>
CommitDate: 2017-12-18 15:11:10 +0000

    dev-libs/nsgenbind: Version bump.
    
    Bug: https://bugs.gentoo.org/636224
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-libs/nsgenbind/Manifest             |  2 ++
 dev-libs/nsgenbind/nsgenbind-0.5.ebuild | 17 +++++++++++++++++
 2 files changed, 19 insertions(+)}
Comment 8 Larry the Git Cow gentoo-dev 2017-12-18 16:14:59 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bc19d8ea56597f7863f29b0d8bad1fe88352f81c

commit bc19d8ea56597f7863f29b0d8bad1fe88352f81c
Author:     Michael Weber <xmw@gentoo.org>
AuthorDate: 2017-12-18 15:24:51 +0000
Commit:     Michael Weber <xmw@gentoo.org>
CommitDate: 2017-12-18 16:14:42 +0000

    media-libs/libsvgtiny: Version bump.
    
    Bug: https://bugs.gentoo.org/636224
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 media-libs/libsvgtiny/Manifest                |  2 ++
 media-libs/libsvgtiny/libsvgtiny-0.1.6.ebuild | 23 +++++++++++++++++++++++
 2 files changed, 25 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c378b70c90a2d2e10315de8cbf834d1901ae8de2

commit c378b70c90a2d2e10315de8cbf834d1901ae8de2
Author:     Michael Weber <xmw@gentoo.org>
AuthorDate: 2017-12-18 15:17:49 +0000
Commit:     Michael Weber <xmw@gentoo.org>
CommitDate: 2017-12-18 16:14:40 +0000

    media-libs/libnspsl: Version bump.
    
    Bug: https://bugs.gentoo.org/636224
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 media-libs/libnspsl/Manifest              |  2 ++
 media-libs/libnspsl/libnspsl-0.1.2.ebuild | 18 ++++++++++++++++++
 2 files changed, 20 insertions(+)}
Comment 9 Michael Weber (RETIRED) gentoo-dev 2017-12-18 16:21:54 UTC
Remaining todos: update and test the pdf-writer.patch
Comment 10 Hadrien Lacour 2018-05-26 20:26:38 UTC
Hello, any progress on this?
Comment 11 Anthony Parsons 2018-08-30 18:55:38 UTC
FYI: NetSurf 3.8 came out yesterday.
Comment 12 Virgil Dupras gentoo-dev 2018-10-21 20:53:37 UTC
xmw clearly doesn't care about this set of packages anymore and the current build is broken and has been for months. I find this project intriguing, so I've started to use it. I'm taking these ebuilds over (commits incoming).

I made the minimum changes necessary to make the bump to 3.8 work, but it's a complicated set of ebuilds to maintain and I'm unfamiliar with them, so it might be a bumpy road ahead. But at least I'll be responsive.

I plan to eventually get rid of the "netsurf" eclass and consolidate all "netsurf-only" libs (libs that use the "netsurf" build system) into the "netsurf" ebuild. I'd also like to explore the idea of "liberating" libutf8proc so that it uses the real upstream and can be shared with dev-lang/julia.

I had to drop gstreamer support because of bug 629204.
Comment 13 Larry the Git Cow gentoo-dev 2018-10-21 20:54:10 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b5b300aad5b4c95789c941d23b528de6f7bb89e7

commit b5b300aad5b4c95789c941d23b528de6f7bb89e7
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-10-21 20:46:40 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-10-21 20:52:56 +0000

    www-client/netsurf: bump to 3.8
    
    I had to drop gstreamer because it depends on a vulnerable version.
    
    Closes: https://bugs.gentoo.org/636224
    Closes: https://bugs.gentoo.org/662230
    Closes: https://bugs.gentoo.org/629204
    Closes: https://bugs.gentoo.org/641846
    Signed-off-by: Virgil Dupras <vdupras@gentoo.org>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11

 www-client/netsurf/Manifest                        |   2 +
 www-client/netsurf/files/netsurf-3.8-CFLAGS.patch  |  79 ++++++++++
 .../netsurf/files/netsurf-3.8-pdf-writer.patch     |  86 +++++++++++
 www-client/netsurf/netsurf-3.8.ebuild              | 163 +++++++++++++++++++++
 4 files changed, 330 insertions(+)

Additionally, it has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7f0e62cbe6ca553e67bcc4cd4ceb5be3cf5862a6

commit 7f0e62cbe6ca553e67bcc4cd4ceb5be3cf5862a6
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-10-21 20:12:56 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-10-21 20:52:54 +0000

    net-libs/libhubbub: bump to 0.3.5
    
    Bug: https://bugs.gentoo.org/636224
    Signed-off-by: Virgil Dupras <vdupras@gentoo.org>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11

 net-libs/libhubbub/Manifest               |  2 ++
 net-libs/libhubbub/libhubbub-0.3.5.ebuild | 33 +++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=debb434e7e3c7b53394dfb77522f74698a2d3e62

commit debb434e7e3c7b53394dfb77522f74698a2d3e62
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-10-21 20:10:21 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-10-21 20:52:52 +0000

    net-libs/libdom: bump to 0.3.3
    
    Bug: https://bugs.gentoo.org/636224
    Signed-off-by: Virgil Dupras <vdupras@gentoo.org>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11

 net-libs/libdom/Manifest            |  2 ++
 net-libs/libdom/libdom-0.3.3.ebuild | 45 +++++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b00996460009e8c6c6eac0cd3116ebb6b6bcad09

commit b00996460009e8c6c6eac0cd3116ebb6b6bcad09
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-10-21 20:07:36 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-10-21 20:52:51 +0000

    media-libs/libsvgtiny: bump to 0.1.7
    
    Bug: https://bugs.gentoo.org/636224
    Signed-off-by: Virgil Dupras <vdupras@gentoo.org>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11

 media-libs/libsvgtiny/Manifest                |  2 ++
 media-libs/libsvgtiny/libsvgtiny-0.1.7.ebuild | 29 +++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=97278eb79b31fc3c9788f81b212b8a5bd97ecfe0

commit 97278eb79b31fc3c9788f81b212b8a5bd97ecfe0
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-10-21 20:05:22 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-10-21 20:52:49 +0000

    media-libs/librosprite: bump to 0.1.3
    
    Bug: https://bugs.gentoo.org/636224
    Signed-off-by: Virgil Dupras <vdupras@gentoo.org>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11

 media-libs/librosprite/Manifest                 |  2 ++
 media-libs/librosprite/librosprite-0.1.3.ebuild | 23 +++++++++++++++++++++++
 2 files changed, 25 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2fc0acb8647d0706b4371eb6b962700b2ef35431

commit 2fc0acb8647d0706b4371eb6b962700b2ef35431
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-10-21 20:03:03 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-10-21 20:52:48 +0000

    media-libs/libnspsl: bump to 0.1.3
    
    Bug: https://bugs.gentoo.org/636224
    Signed-off-by: Virgil Dupras <vdupras@gentoo.org>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11

 media-libs/libnspsl/Manifest              |  2 ++
 media-libs/libnspsl/libnspsl-0.1.3.ebuild | 24 ++++++++++++++++++++++++
 2 files changed, 26 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0a4d1caecb6b637110b132361263aacb92b44a47

commit 0a4d1caecb6b637110b132361263aacb92b44a47
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-10-21 20:00:55 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-10-21 20:52:47 +0000

    media-libs/libnsgif: bump to 0.2.1
    
    Bug: https://bugs.gentoo.org/636224
    Signed-off-by: Virgil Dupras <vdupras@gentoo.org>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11

 media-libs/libnsgif/Manifest              |  2 ++
 media-libs/libnsgif/libnsgif-0.2.1.ebuild | 27 +++++++++++++++++++++++++++
 2 files changed, 29 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=01e6aeb96b280d1999b2209a8f57a23a8212de08

commit 01e6aeb96b280d1999b2209a8f57a23a8212de08
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-10-21 19:58:26 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-10-21 20:52:46 +0000

    media-libs/libnsbmp: bump to 0.1.5
    
    Bug: https://bugs.gentoo.org/636224
    Signed-off-by: Virgil Dupras <vdupras@gentoo.org>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11

 media-libs/libnsbmp/Manifest              |  2 ++
 media-libs/libnsbmp/libnsbmp-0.1.5.ebuild | 24 ++++++++++++++++++++++++
 2 files changed, 26 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f24a61f68c02e960f3b5898453dc10100a0ce161

commit f24a61f68c02e960f3b5898453dc10100a0ce161
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-10-21 19:56:13 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-10-21 20:52:45 +0000

    dev-libs/nsgenbind: bump to 0.6
    
    Bug: https://bugs.gentoo.org/636224
    Signed-off-by: Virgil Dupras <vdupras@gentoo.org>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11

 dev-libs/nsgenbind/Manifest             |  2 ++
 dev-libs/nsgenbind/nsgenbind-0.6.ebuild | 23 +++++++++++++++++++++++
 2 files changed, 25 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e7989bd25dd28d76bd7b12ae7960aa082fbc6ce7

commit e7989bd25dd28d76bd7b12ae7960aa082fbc6ce7
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-10-21 19:52:52 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-10-21 20:52:43 +0000

    dev-libs/libwapcaplet: bump to 0.4.1
    
    Bug: https://bugs.gentoo.org/636224
    Signed-off-by: Virgil Dupras <vdupras@gentoo.org>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11

 dev-libs/libwapcaplet/Manifest                  |  2 ++
 dev-libs/libwapcaplet/libwapcaplet-0.4.1.ebuild | 23 +++++++++++++++++++++++
 2 files changed, 25 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=12d67a931fb79bcca2febb78798f3c06ed51d908

commit 12d67a931fb79bcca2febb78798f3c06ed51d908
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-10-21 19:50:31 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-10-21 20:52:43 +0000

    dev-libs/libutf8proc: bump to 2.2.0-1
    
    Bug: https://bugs.gentoo.org/636224
    Signed-off-by: Virgil Dupras <vdupras@gentoo.org>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11

 dev-libs/libutf8proc/Manifest                    |  2 ++
 dev-libs/libutf8proc/libutf8proc-2.2.0_p1.ebuild | 28 ++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6ec692037e43e11f6a6439aa3730c3b8642dda3d

commit 6ec692037e43e11f6a6439aa3730c3b8642dda3d
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-10-21 19:48:38 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-10-21 20:52:42 +0000

    dev-libs/libparserutils: bump to 0.2.4
    
    Bug: https://bugs.gentoo.org/636224
    Signed-off-by: Virgil Dupras <vdupras@gentoo.org>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11

 dev-libs/libparserutils/Manifest                   |  2 ++
 .../libparserutils/libparserutils-0.2.4.ebuild     | 31 ++++++++++++++++++++++
 2 files changed, 33 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c6de1e4cc06a08dffea3850107843b7abf251511

commit c6de1e4cc06a08dffea3850107843b7abf251511
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-10-21 19:43:56 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-10-21 20:52:41 +0000

    dev-libs/libnsutils: bump to 0.0.5
    
    Bug: https://bugs.gentoo.org/636224
    Signed-off-by: Virgil Dupras <vdupras@gentoo.org>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11

 dev-libs/libnsutils/Manifest                |  2 ++
 dev-libs/libnsutils/libnsutils-0.0.5.ebuild | 24 ++++++++++++++++++++++++
 2 files changed, 26 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d376e8ba89b92107de27ce8460ff179b17d9f30d

commit d376e8ba89b92107de27ce8460ff179b17d9f30d
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-10-21 19:40:58 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-10-21 20:52:40 +0000

    dev-libs/libnsfb: bump to 0.2.0
    
    Bug: https://bugs.gentoo.org/636224
    Signed-off-by: Virgil Dupras <vdupras@gentoo.org>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11

 dev-libs/libnsfb/Manifest             |  2 ++
 dev-libs/libnsfb/libnsfb-0.2.0.ebuild | 45 +++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fdd6715969f2bf9f68bd0af19bbcc02f392ed9e0

commit fdd6715969f2bf9f68bd0af19bbcc02f392ed9e0
Author:     Virgil Dupras <vdupras@gentoo.org>
AuthorDate: 2018-10-21 19:37:22 +0000
Commit:     Virgil Dupras <vdupras@gentoo.org>
CommitDate: 2018-10-21 20:52:39 +0000

    dev-libs/libcss: bump to 0.8.0
    
    Bug: https://bugs.gentoo.org/636224
    Signed-off-by: Virgil Dupras <vdupras@gentoo.org>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11

 dev-libs/libcss/Manifest            |  2 ++
 dev-libs/libcss/libcss-0.8.0.ebuild | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)
Comment 14 ernsteiswuerfel 2018-10-22 14:16:30 UTC
(In reply to Virgil Dupras from comment #12)
> xmw clearly doesn't care about this set of packages anymore and the current
> build is broken and has been for months. I find this project intriguing, so
> I've started to use it. I'm taking these ebuilds over (commits incoming).

Thanks for your efforts! Builds & runs well on amd64 so far.

> I plan to eventually get rid of the "netsurf" eclass and consolidate all
> "netsurf-only" libs (libs that use the "netsurf" build system) into the
> "netsurf" ebuild. [...]

This is certaintly a good idea.